RouterMBean (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.metrics, interface: RouterMBean

Package org.apache.hadoop.hdfs.server.federation.metrics

# Interface RouterMBean

All Known Implementing Classes:
  `RBFMetrics`

@Private @Evolving public interface RouterMBean
JMX interface for the router specific metrics.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBlockPoolId()`
  Gets the block pool ids of the namenodes.
  `String`
  `getClusterId()`
  Gets the cluster ids of the namenodes.
  `String`
  `getCompiledDate()`
  Get the compilation date of the router.
  `String`
  `getCompileInfo()`
  Get the compilation info of the router.
  `long`
  `getCurrentTokensCount()`
  Get the current number of delegation tokens in memory.
  `String`
  `getHostAndPort()`
  Get the host and port of the router.
  `int`
  `getRouterFederationRenameCount()`
  Gets the count of the currently running router federation rename jobs.
  `String`
  `getRouterId()`
  Get the identifier of the router.
  `String`
  `getRouterStarted()`
  When the router started.
  `String`
  `getRouterStatus()`
  Get the current state of the router.
  `String`
  `getSafemode()`
  Gets the safemode status.
  `int`
  `getSchedulerJobCount()`
  Gets the count of the currently running jobs in the scheduler.
  `String`
  `getTopTokenRealOwners()`
  Get the top delegation token owners(realUser).
  `String`
  `getVersion()`
  Get the version of the router.
  `boolean`
  `isSecurityEnabled()`
  Gets if security is enabled.

- ## Method Details

  - ### getRouterStarted

    String getRouterStarted()
    When the router started.
    Returns:
      Date as a string the router started.

  - ### getVersion

    String getVersion()
    Get the version of the router.
    Returns:
      Version of the router.

  - ### getCompiledDate

    String getCompiledDate()
    Get the compilation date of the router.
    Returns:
      Compilation date of the router.

  - ### getCompileInfo

    String getCompileInfo()
    Get the compilation info of the router.
    Returns:
      Compilation info of the router.

  - ### getHostAndPort

    String getHostAndPort()
    Get the host and port of the router.
    Returns:
      Host and port of the router.

  - ### getRouterId

    String getRouterId()
    Get the identifier of the router.
    Returns:
      Identifier of the router.

  - ### getRouterStatus

    String getRouterStatus()
    Get the current state of the router.
    Returns:
      String label for the current router state.

  - ### getClusterId

    String getClusterId()
    Gets the cluster ids of the namenodes.
    Returns:
      the cluster ids of the namenodes.

  - ### getBlockPoolId

    String getBlockPoolId()
    Gets the block pool ids of the namenodes.
    Returns:
      the block pool ids of the namenodes.

  - ### getCurrentTokensCount

    long getCurrentTokensCount()
    Get the current number of delegation tokens in memory.
    Returns:
      number of DTs

  - ### getSafemode

    String getSafemode()
    Gets the safemode status.
    Returns:
      the safemode status.

  - ### isSecurityEnabled

    boolean isSecurityEnabled()
    Gets if security is enabled.
    Returns:
      true, if security is enabled.

  - ### getTopTokenRealOwners

    String getTopTokenRealOwners()
    Get the top delegation token owners(realUser).
    Returns:
      Json string of owners to token counts

  - ### getRouterFederationRenameCount

    int getRouterFederationRenameCount()
    Gets the count of the currently running router federation rename jobs.
    Returns:
      the count of the currently running router federation rename jobs.

  - ### getSchedulerJobCount

    int getSchedulerJobCount()
    Gets the count of the currently running jobs in the scheduler. It includes both the submitted and the recovered jobs.
    Returns:
      the count of the currently running jobs in the scheduler.